.ad-item-list {
  padding: 8px 0 8px 16px;
}

.ad-item-list-info {
  opacity: 0.8;
  transition: opacity ease .25s;
}
.ad-item-list:hover > .ad-item-list-info {
  opacity: 1;
}

.ad-item-list.item-list:last-child {
  border-bottom: none;
}

.ad-item-list-title {
  font-weight: 600;
}

.ad-item-list-info > span {
  margin-right: 4px;
}

.ad-item-list-author {
  color: #1d1d1d;
}

.ad-item-list-severity {
  margin-left: 4px;
}

.ad-item-list-severity-text {
  margin-left: 4px;
}



/* modal */



.ad-item-modal {
  display: flex;
}
.ad-item-modal-content-header {
  color: gray;
  height: 48px;
  padding: 8px 0;
  border-bottom: 1px solid #c3c3c3;
}
.ad-item-modal-content-header > span {
  margin-right: 4px;
}
.ad-item-open .ad-item-modal-state {
  background: #28a745;
}
.ad-item-closed .ad-item-modal-state {
  background: #6c6c6c;
}
.ad-item-modal-state {
  padding: 1px 6px 3px;
  color: white;
  border-radius: 4px;
}
.ad-item-modal-content {
  padding: 6px 6px 6px 8px;
  border-right: 1px solid #c3c3c3;
}
.ad-item-modal-title {
  font-weight: 600;
  font-size: 1.5em;
}
.ad-item-modal-sidebar {
  overflow: hidden;
  height: 100%;
  min-width: 280px;
}
.ad-item-modal-wrapper {
  padding: 6px 8px 6px 6px;
}
.ad-item-modal-sidebar-header {
  color: gray;
  height: 48px;
  border-bottom: 1px solid #c3c3c3;
  display: flex;
}
.ad-item-modal-sidebar-header > * {
  margin: auto;
}
.ad-item-modal-close {
  margin-right: 7px;
  color: #de7e00;
  border-color: #de7e00;
}
.ad-item-modal-close:hover {
  background-color: #fc9403;
  border-color: #de7e00;
  color: white;
}
button.btn-outline-warning.ad-item-modal-close:active {
  background-color: #de7e00 !important;
  border-color: #c26700 !important;
  color: white !important;
}
.ad-item-modal-sidebar-item {
  padding: 6px 0;
  border-bottom: 1px solid #c3c3c3;
}
.ad-item-item-value.ad-empty {
  color: gray;
}


/* window */

.ad-item-window-content-header {
  display: flex;
  align-items: center;
  color: gray;
  height: 48px;
  padding: 8px 0;
  border-bottom: 1px solid #c3c3c3;
}
.ad-item-window-content-header > span {
  margin-right: 4px;
}
.ad-item-open .ad-item-window-state {
  background: #28a745;
}
.ad-item-closed .ad-item-window-state {
  background: #6c6c6c;
}
.ad-item-window-state {
  padding: 1px 6px 3px;
  color: white;
  border-radius: 4px;
}
.ad-item-window-content {
  padding: 6px 6px 6px 8px;
  border-right: 1px solid #c3c3c3;
}
.ad-item-window-title {
  font-weight: 600;
  font-size: 1.5em;
}


.ad-item-window-close {
  margin-right: 7px;
  color: #de7e00;
  border-color: #de7e00;
}
.ad-item-window-close:hover {
  background-color: #fc9403;
  border-color: #de7e00;
  color: white;
}
button.btn-outline-warning.ad-item-window-close:active {
  background-color: #de7e00 !important;
  border-color: #c26700 !important;
  color: white !important;
}
.ad-item-window-spacer {
  flex: 1;
}


.ad-item-window-details {
  margin: 8px 0;
  border-top: 1px solid #ccc;
}
.ad-item-window-detail > div {
  display: inline-block;
}
.ad-item-window-detail-name::after {
  content: ":";
}
.ad-item-window-detail-name {
  flex: 0 1 160px;
}
.ad-item-window-detail {
  display: flex;
  margin: 8px 0;
  border-bottom: 1px dashed #c5c2c2;
}

.ad-item-list::before {
  content: "";
  height: 10px;
  display: inline-block;
  position: absolute;
  width: 10px;
  border-radius: 50%;
  top: 50%;
  transform: translateY(-50%);
}
.ad-item-list {
  position: relative;
}
.ad-item-list > div {
  margin-left: 16px;
}

.ad-item-open::before {
  background: #28a745;
}

.ad-item-closed::before {
  background: #6c6c6c;
}

/* skeleton */

.ad-skel-item-list {
  height: 64px;
  width: 100%;
  padding: 8px;
}

.ad-skel-item-list-title {
  width: 230px;
  margin-bottom: 8px;
}

.ad-skel-item-list-info {
  width: 400px;
}